html {
  font-size: 16px;
}

body,
form {
  font-family: 'Fira Sans', 'Courier', sans-serif;
  margin-left: 5px;
  margin-right: 5px;
  font-variant-ligatures: none !important;
}

.demo {
  background: url(./../images/demobg.png);
  background-repeat: no-repeat;
}

div.edgar-toolbar {
  background-color: white;
  z-index: 50;
  border: 2px solid gray;
  margin-top: 2px;
  margin-bottom: 2px;
  padding-top: 10px;
  border-radius: 5px;
}

.sticky {
  position: fixed;
  top: 0;
  left: 1rem;
  right: 1rem;
}

/* .sticky-test-header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background-color: white;
  z-index: 1000;
} */

div.profilepictiny {
  margin-left: 2px;
  margin-right: 2px;
}

div.profilepictiny img {
  width: 35px;
  height: 35px;
  object-fit: contain;
}

div.profilepic {
  margin-left: 10px;
  margin-right: 10px;
}

div.profilepic img {
  width: 75px;
  height: 75px;
  object-fit: contain;
}

div.profilepicbig {
  margin-left: 2px;
  margin-right: 2px;
}

div.profilepicbig img {
  width: 100px;
  height: 100px;
  object-fit: contain;
}

/* div.modal-header {
  background-image: url(../images/edgar_confirm.png);
  background-repeat: no-repeat;
  min-height: 150px;
  padding-left: 125px;
  padding-top: 25px;
} */

.navbar-main {
  border-bottom: #9de5fb 5px solid;
}

/* signin: */

.graybg {
  background-color: #f5f5f5;
}

.form-signin {
  margin-top: 200px;
  max-width: 330px;
  padding: 15px;
  margin: 0 auto;
}

.form-signin .form-control {
  position: relative;
  font-size: 16px;
  height: auto;
  padding: 10px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

.form-signin .form-control:focus {
  z-index: 2;
}

.form-signin input[type='text'] {
  margin-bottom: -1px;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

.form-signin input[type='password'] {
  margin-bottom: 10px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

@font-face {
  font-family: IosevkaSlabWEB;
  src: url('../assets/fonts/iosevka-slab-regular.woff2') format('woff2'),
    url('../assets/fonts/iosevka-slab-regular.woff') format('woff'),
    url('../assets/fonts/iosevka-slab-regular.ttf') format('truetype');
}

.table td.edgar-code,
.table th.edgar-code {
  font-family: IosevkaSlabWEB, Consolas, 'Lucida Console', Monaco, monospace;
  /*IosevkaSlabWEB*/
  padding: 1px;
  border: 1px solid gray;
  white-space: pre;
  overflow: hidden;
}

p.edgar-code {
  font-family: 'Lucida Console', Monaco, monospace;
  border: 1px solid #eceeef;
}

.table td.edgar-code-header {
  cursor: pointer;
  white-space: pre;
  font-weight: bold;
  font-size: 1.1em;
}

.aii-error {
  color: red;
  font-style: italic;
}

.aii-warning {
  color: orange;
  font-style: italic;
}

.aii-clock-error {
  background-color: red;
}

.edgar-error {
  background-color: red;
  color: white;
}

#aii-countdown {
  font-family: Iosevka, 'Liberation Mono', Menlo, Courier, monospace;
  font-size: 2rem;
}

.aii-clock-warning {
  background-color: orange;
}

/*// signin*/

.aii-qn-tag {
  /*margin-left: 0.5rem;*/
  font-size: 2rem;
}

.text-green {
  color: green;
}

.text-red {
  color: red;
}

.text-orange {
  color: orange;
}

.text-gray {
  color: gray;
}

.text-yellow {
  color: yellow;
}

/* Sticky footer styles
-------------------------------------------------- */

html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  box-sizing: border-box;
  min-height: 100%;
  display: flex;
  flex-direction: column;
}

.footer {
  /* position: fixed !important;
  bottom: 0;
  left: 0;
  right: 0; */
  margin-top: 3rem;
  flex-grow: 0;
  flex-shrink: 0;
  height: 30px;
  line-height: 30px;
  background-color: #f5f5f5;
  text-align: center;
  font-size: 0.75rem;
}

/* /Sticky footer styles
-------------------------------------------------- */

tr.edgar-row-selected {
  color: green;
  font-weight: bolder;
}

tr.edgar-row-selected td {
  border: 3px green solid;
}

/*
 * Sidebar, from: http://v4-alpha.getbootstrap.com/examples/dashboard/
 */

/* Hide for mobile, show later */

.sidebar {
  display: none;
}

@media (min-width: 768px) {
  .sidebar {
    position: fixed;
    top: 75px;
    bottom: 0;
    left: 0;
    z-index: 0;
    display: block;
    padding: 40px;
    overflow-x: hidden;
    overflow-y: auto;
    /* Scrollable contents if viewport is shorter than content. */
    border-right: 1px solid #eee;
  }
}

/* Sidebar navigation */

.nav-sidebar {
  margin-right: -21px;
  /* 20px padding + 1px border */
  margin-bottom: 20px;
  margin-left: 15px;
  background-color: #f5f5f5;
}

.nav-sidebar > li > a {
  padding-right: 20px;
  padding-left: 20px;
}

.nav-sidebar > .active > a,
.nav-sidebar > .active > a:hover,
.nav-sidebar > .active > a:focus {
  color: #fff;
  background-color: #428bca;
}

/* shrink bootstrap paddings */

.card-footer,
.card-header {
  padding: 0.25rem 0.5rem;
}

/*
 * Main content
 */

.main {
  padding: 20px;
}

@media (min-width: 768px) {
  .main {
    padding-right: 40px;
    padding-left: 40px;
  }
}

.main .page-header {
  margin-top: 0;
}

/*
 * /Sidebar
 */

.CodeMirror {
  height: auto;
  font-family: IosevkaSlabWEB, Consolas, 'Liberation Mono', Menlo, Courier, monospace;
  /*IosevkaSlabWEB*/
}

.ra {
  text-align: right;
}

/*
 * Markdown styled CSS, taken from view-source:https://jbt.github.io/markdown-editor/, TODO: minimize
 */

.CodeMirror pre {
  line-height: 16px;
  font-variant-ligatures: none !important;
}

a {
  color: #0645ad;
  text-decoration: none;
}

a:visited {
  color: #0b0080;
}

a:hover {
  color: #06e;
}

a:active {
  color: #faa700;
}

a:focus {
  outline: thin dotted;
}

a:hover,
a:active {
  outline: 0;
}

pre,
code {
  color: #000;
  font-family: IosevkaSlabWEB, Consolas, 'Liberation Mono', Menlo, Courier, monospace;
  font-size: 0.94em;
  /* 0.94 = 0.88 + (1.00 - 0.88) / 2 */
  border-radius: 3px;
  background-color: #f8f8f8;
  border: 1px solid #ccc;
}

pre {
  white-space: pre;
  white-space: pre-wrap;
  word-wrap: break-word;
  padding: 5px;
}

pre code {
  border: 0px !important;
  background: transparent !important;
  line-height: 1.3em;
}

.toggle-off.btn {
  padding-left: 24px;
  border: 1px solid red;
  background: orange;
}

video {
  position: fixed;
  top: 50%;
  left: 50%;
  min-width: 100%;
  min-height: 100%;
  width: auto;
  height: auto;
  z-index: -100;
  transform: translateX(-50%) translateY(-50%);
  background: url('//demosthenes.info/assets/images/polina.jpg') no-repeat;
  background-size: cover;
  transition: 1s opacity;
}

/*
  Analytics styles
*/

div.tooltip-sm {
  color: white;
  position: absolute;
  text-align: center;
  width: 80px;
  height: 30px;
  padding: 2px;
  font: 12px sans-serif;
  background: black;
  border: 0px;
  border-radius: 5px;
  pointer-events: none;
  font-size: 11px;
}

div.tooltip-md {
  color: white;
  position: absolute;
  text-align: center;
  width: 100px;
  height: 45px;
  padding: 2px;
  font: 12px sans-serif;
  background: black;
  border: 0px;
  border-radius: 5px;
  pointer-events: none;
  font-size: 11px;
}

div.tooltip-lg {
  color: white;
  position: absolute;
  text-align: center;
  width: 115px;
  height: 65px;
  padding: 2px;
  font: 12px sans-serif;
  background: black;
  border: 0px;
  border-radius: 5px;
  pointer-events: none;
  font-size: 11px;
}

div.tooltip-xlg {
  color: white;
  position: absolute;
  text-align: center;
  width: 100px;
  height: 75px;
  padding: 2px;
  font: 12px sans-serif;
  background: black;
  border: 0px;
  border-radius: 5px;
  pointer-events: none;
  font-size: 11px;
}

.test-title {
  font-size: 20px;
  text-align: center;
}

.even-margins-sm {
  margin: 15px 15px 15px 15px;
}

.even-margins-md {
  margin: 25px 25px 25px 25px;
}

.border-primary {
  border: 1px solid;
  border-color: #428bca;
}

.blue-line {
  fill: none;
  stroke: steelblue;
  stroke-width: 2px;
}

.red-line {
  fill: none;
  stroke: red;
  stroke-width: 2px;
}

.green-line {
  fill: none;
  stroke: green;
  stroke-width: 2px;
}

.blue-area {
  fill: lightsteelblue;
}

.red-area {
  fill: lightsalmon;
}

.green-area {
  fill: springgreen;
}

.clip-path {
  clip-path: url(#clip);
}

.zoom {
  cursor: move;
  fill: none;
  pointer-events: all;
}

.box {
  font: 10px sans-serif;
}

.box line,
.box rect,
.box circle {
  fill: lightsteelblue;
  stroke: #000;
  stroke-width: 1.5px;
}

.box .center {
  stroke-dasharray: 3, 3;
}

.box .outlier {
  fill: #ccc;
  stroke: black;
}

option.red {
  background-color: #cc0000;
  font-weight: bold;
  font-size: 12px;
  color: white;
}

/* md styles: */

blockquote {
  color: #666666;
  margin: 0;
  padding-left: 3em;
  border-left: 0.5em #eee solid;
}

hr {
  display: block;
  height: 2px;
  border: 0;
  border-top: 1px solid #aaa;
  border-bottom: 1px solid #eee;
  margin: 1em 0;
  padding: 0;
}

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sup {
  top: -0.5em;
}

sub {
  bottom: -0.25em;
}

/*ul, ol { margin: 1em 0; padding: 0 0 0 2em; }*/

li p:last-child {
  margin: 0;
}

dd {
  margin: 0 0 0 2em;
}

img {
  border: 0;
  -ms-interpolation-mode: bicubic;
  vertical-align: middle;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

th {
  vertical-align: top;
  padding: 4px 10px;
  border: 1px solid black;
  background-color: #9de5fb33;
}

td {
  vertical-align: top;
  padding: 4px 10px;
  border: 1px solid #bbb;
}

/* tr:nth-child(even) td,
tr:nth-child(even) th {
  background: #eee;
} */

table.edgar th {
  vertical-align: top;
  padding: 4px 10px;
  border: 1px solid #bbb;
  background-color: aliceblue;
}

.edgar-code {
  color: #000;
  font-family: IosevkaSlabWEB, Consolas, 'Liberation Mono', Menlo, Courier, monospace;
  /*IosevkaSlabWEB*/
  font-size: 0.94em;
  /* 0.94 = 0.88 + (1.00 - 0.88) / 2 */
}

/*CodeMirror buttons overlap:*/

.edgar-right-overlap {
  position: absolute;
  right: 0px;
  top: 0px;
  height: 100%;
  min-height: 100%;
  padding: 5px;
  z-index: 10;
}
.edgar-ticket-button {
  float: right;
  height: 100%;
  min-height: 100%;
  padding: 5px;
  z-index: 10;
  opacity: 0.8;
}
.edgar-comment-overlap {
  position: absolute;
  right: 0px;
  top: 0px;
  height: 100%;
  min-height: 100%;
  padding: 5px;
  z-index: 10;
  display: flex;
  justify-content: flex-end;
  align-items: flex-start;
  opacity: 0.8;
}

.edgar-right-overlap2 {
  position: absolute;
  right: 0px;
  top: 45px;
  height: 100%;
  min-height: 100%;
  padding: 5px;
  z-index: 10;
}

.edgar-right-overlap-menu {
  position: absolute;
  right: 0px;
  top: 0px;
  height: 100%;
  min-height: 100%;
  padding: 5px;
  z-index: 10;
}

.edgar-overlap {
  position: relative;
  min-height: 150px;
}

.edgar-overlap-btn-w {
  min-width: 100px;
}

.chosen-container-multi .chosen-choices .search-field input[type='text'] {
  height: 2.25rem !important;
}

/* table.edgar td.edgar-code {
  font-family: "Lucida Console", Monaco, monospace;
  padding: 1px;
} */

table.edgar2 {
  width: 100%;
}

table.edgar2 th {
  vertical-align: top;
  padding: 4px 10px;
  border: 1px solid #bbb;
  background-color: deepskyblue;
}

table.edgar2 td.edgar-code {
  font-family: IosevkaSlabWEB, 'Lucida Console', Monaco, monospace;
  padding: 1px;
  white-space: pre;
}

table.code-results {
  border-collapse: collapse;
  border-spacing: 0;
}

table.code-results td:first-child {
  width: 6em;
}

.runAllC:hover {
  background-color: rgb(242, 96, 96);
  border-color: rgb(242, 96, 96);
}

/*enterLectureView css*/

/*#enterLecture {*/

/*display: flex;*/

/*}*/

#edgarImg {
  height: 13.4vw;
  width: 7.8vw;
}

/*
#enterLectureForm {
  margin: auto;
  margin-top: 1.5vw;
}

#enterLectureForm>#roomName>input[type=text] {
  padding-left: 0.37vw;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 1.5vw;
  height: fit-content;
}

#enterLectureForm>.buttons>#loginButton, #anonymousButton {
  cursor: pointer;
  font-size: 1.5vw;
  border: none;
  border-radius: 4px;
  padding: 0.5vw 1.1vw;
}

#enterLectureForm>.buttons>#loginButton {
  margin-top: 0.75vw;
  background-color: #4CAF50;
  color: white;
}

#enterLectureForm>.buttons>#anonymousButton {
  margin-top: 0.75vw;
  background-color: #2b3cd1;
  color: white;
}

#enterLectureForm>.buttons>#loginButton:hover {
  background-color: #499249;
}

#enterLectureForm>.buttons>#anonymousButton:hover {
  background-color: #2936a2;
} */

/*newLectureQuizView css*/

#newLectureForm {
  margin: auto;
  margin-top: 1.5vw;
}

#newLectureForm > legend {
  font-size: 4vw;
}

#newLectureForm > #lecturePassword {
  margin-bottom: 2.3vw;
  margin-top: 2.3vw;
  font-size: 1.6vw;
}

#newLectureForm > #lecturePassword > label {
  font-weight: normal;
}

#newLectureForm > #lecturePassword > input[type='text'] {
  padding: 0.4vw;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 1.5vw;
  height: fit-content;
}

#newLectureForm > #roomName {
  margin-bottom: 2.3vw;
  font-size: 1.6vw;
}

#newLectureForm > #roomName > label {
  font-weight: normal;
}

#newLectureForm > #roomName > input[type='text'] {
  padding: 0.4vw;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 1.5vw;
  height: fit-content;
}

#newLectureForm > #allowAnonymous {
  margin-bottom: 1.5vw;
  font-size: 1.6vw;
}

#newLectureForm > #allowAnonymous > label {
  font-weight: normal;
}

#newLectureForm > #start_button > #startLectureButton {
  font-size: 1.6vw;
}

.remove_button_css {
  outline: none;
  padding: 5px;
  border: 0px;
  box-sizing: none;
  background-color: transparent;
  text-decoration: underline;
}

.remove_button_css:focus,
.remove_button_css:hover {
  color: #23527c;
  text-decoration: underline;
}

div.enhance-md-collapse {
  border: 1px dashed green;
  padding: 50px 5px 5px;
}

.hidden {
  display: none;
}

.remove-attachment {
  cursor: pointer;
}

.fas.fa-info-circle:hover {
  cursor: pointer;
}

.publicatt {
  color: #2faa28;
}

.privateatt {
  color: #f20023;
}

.valid-border {
  outline: none;
  border-color: #5cb85c;
  box-shadow: 0 0 10px #5cb85c;
  transition-property: all;
  transition-duration: 0.3s;
}

.invalid-border {
  outline: none;
  border-color: #ed0001;
  box-shadow: 0 0 10px #ed0001;
  transition-property: all;
  transition-duration: 0.3s;
}

.filemanager {
  position: relative;
  width: 100%;
}

.filemanager ::-webkit-input-placeholder {
  color: #4d535e;
}

.filemanager :-moz-placeholder {
  color: #4d535e;
  opacity: 1;
}

.filemanager ::-moz-placeholder {
  color: #4d535e;
  opacity: 1;
}

.filemanager :-ms-input-placeholder {
  color: #4d535e;
}

.filemanager .resultitem {
  padding-bottom: 10px;
  border: 2px solid #fff;
}

.filemanager .data div.icon-pos {
  display: table-cell;
  padding: 0 10px 0 0;
  text-align: center;
  vertical-align: middle;
}

.filemanager .data div div.details {
  width: 100%;
  height: auto;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  padding-top: 10px;
  margin-bottom: 2px;
  list-style-type: none;
  cursor: pointer;
  background-color: transparent;
  border-radius: 0;
  -webkit-transition: 0.3s background-color;
  -o-transition: 0.3s background-color;
  transition: 0.3s background-color;
}

.filemanager .data div .name {
  display: inline-block;
  width: 100%;
  overflow: hidden;
  font-size: 15px;
  font-weight: 700;
  line-height: 1.5em;
  color: #333;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.filemanager .data div span.details {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.filemanager .file-icon {
  display: table-row;
  margin: 0 0 0 0 !important;
  font-size: 2em;
}

label.form-check-label {
  word-wrap: normal;
}

/* Angular app shared styles: */

.edgar-test-header {
  padding-top: 10px;
  padding-bottom: 10px;
  z-index: 1000;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  border-bottom: 1px solid #dee2e6 !important;
}

.edgar-header-bg {
  height: 140px;
}

.popover {
  max-width: 500px !important;
}

.card.full-height {
  height: calc(100% - 30px);
}

.question-preview__overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(200, 200, 200, 0.5);
  z-index: 999;
  text-align: center;
  font-size: 3rem;
  color: red;
  margin-left: -21px;
  margin-top: -21px;
  display: flex;
  align-items: center;
  justify-content: center;
}

li.nav-item .nav-link.active {
  background-color: beige;
}

#img-spae {
  width: 300px;
  opacity: 0;
}
#img-spae:hover {
  animation: 3s forwards fadein;
}

@keyframes fadein {
  from {
    opacity: 0;
  }
  80% {
    opacity: 0.7;
  }
  100% {
    opacity: 0.1;
  }
}

div.toggle-group label {
  word-wrap: normal;
}

div.floating-toolbar-right {
  position: fixed;
  right: 0px;
  background-color: aliceblue;
  border: 1px solid blue;
  padding: 10px;
  z-index: 100;
  display: flex;
  flex-direction: column;
  gap: 2px;
  opacity: 80%;
}

.mg-file-label {
  position: absolute;
  top: 0.2rem;
  right: 0.2rem;
}
div.mg-file {
  position: relative;
}
a.uploaded-files {
  width: 100%;
}

pre {
  font-variant-ligatures: none;
}

button.btn-copy-to-clipobard {
  position: absolute;
  right: 0px;
  top: 0px;
}

pre del {
  background: #ffc107;
}

pre ins {
  background: #8fff8f;
}

.checkbox-1x {
  transform: scale(1.5);
  -webkit-transform: scale(1.5);
}
.checkbox-2x {
  transform: scale(2);
  -webkit-transform: scale(2);
}

.bg-orange {
  background-color: orange;
}
div.mermaid-centered svg {
  margin: auto;
  display: block;
}
